apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: optima-ui-ingress
  namespace: optima
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
spec:
  tls:
    - hosts:
        - optima.osdci.net
      secretName: osdci-net-cert
  rules:
    - host: optima.osdci.net
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: optima-ui
                port:
                  number: 3000
---
apiVersion: v1
kind: Service
metadata:
  name: optima-ui
  namespace: optima
  labels:
    app: optima-ui
spec:
  type: ClusterIP
  ports:
    - port: 3000
      protocol: TCP
  selector:
    app: optima-ui
